Subject: [187] Method to choose data port correct?

From: Wolfram Schmidt <[email-masked]>
Date: Fri, 22 Jul 1994 10:42:05 +0200

Hallo wu-ftp users,

I just had to find out that wu-ftpd determines the data port number
by substracting 1 from the command port number. Is this correct
behaviour? It does not even try to look it up in the services database.
I got complaints from project partners who's router blocks almost
everything. The ftpd used for this project doesn't use the standard
port 21. So the data port moved also. The man page doesn't mention this.

I feel this should be configurable.

What do you think?

-Wolfram

-- 
Email: [email-masked]
Voice: +49 711 970 2431
FAX: +49 711 970 2401
Office: Fraunhofer Institut IAO, Holzgartenstr. 17, 70174 Stuttgart, Germany